### Method

# Vips Image reorder_margin_hint

#### Declaration [src]

    void
    vips_reorder_margin_hint (
      VipsImage* image,
      int margin
    )

#### Description [src]

`vips_reorder_margin_hint()` sets a hint that `image` contains a margin, that is, that each `vips_region_prepare()` on `image` will request a slightly larger region from it’s inputs. A good value for `margin` is (width * height) for the window the operation uses.

This information is used by `vips_reorder_prepare_many()` to attempt to reorder computations to minimise recomputation.

See also

`vips_reorder_prepare_many()`.

#### Parameters

`margin`

  Type: `int`

  The size of the margin this operation has added.